import React, {Component} from 'react'
// import PropTypes from 'prop-types'
import { is, fromJS } from 'immutable'
import { Collapse } from 'antd'

import zhCN from '@/locales/zh-CN/mob.js'
import enUS from '@/locales/en-US/mob.js'
import './index.scss'

const { Panel } = Collapse

class MobController extends Component {
  // static propTpyes = {
  //   collapse: PropTypes.bool,
  // }
  state = {
    dict: localStorage.getItem('lang') !== 'en-US' ? zhCN : enUS,
  }

  shouldComponentUpdate (nextProps, nextState) {
    return !is(fromJS(this.props), fromJS(nextProps)) || !is(fromJS(this.state), fromJS(nextState))
  }

  render () {

    return (
      <div className="mob-controller">
        <Collapse expandIconPosition="right">
          <Panel header="字体" key="0">
            字体修改
          </Panel>
          <Panel header="背景" key="1">
            背景
          </Panel>
          <Panel header="边距" key="2">
            边距
          </Panel>
          <Panel header="其他" key="3">
            其他
          </Panel>
        </Collapse>
      </div>
    )
  }
}

export default MobController